package cn.ezhizao.project.tenant.service;

import cn.ezhizao.project.system.domain.SysDept;
import cn.ezhizao.project.system.domain.SysRole;
import cn.ezhizao.project.system.domain.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.tenant.domain.Tenant;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author zhushan
 */
public interface ITenantService  extends IService<Tenant>
{
    List<Tenant> getList(Tenant tenant);

    void setTenantInfo(Tenant tenant);

    boolean checkAdmin(Long tenantId);

    boolean checkAdminRole(Long tenantId);

    SysUser getAdminUser(Long tenantId);

    List<SysRole> getInitRoles(Long tenantId);

    boolean checkInitDept(Long tenantId);

    boolean checkAdminMenu(Long tenantId, Long roleId);

    boolean checkInitSource(Long tenantId);

    List<Long> getTenantMenuIds(Long tenantId);

    boolean initSource(Long tenantId);

    List<SysRole> initRolesData();

    SysDept getInitDept(Long tenantId);
}
